Splash-bladsye
GET https://tistos.com/api/splash-pages/
curl --request GET \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Besonderhede | Beskrywing |
|---|---|---|
| search | Opsioneel String | Die soekstring. |
| search_by | Opsioneel String | Watter veld soek jy op. Toegelate waardes is: name. |
| datetime_field | Opsioneel String | Toegelate waardes: datetime, last_datetime |
| datetime_start | Opsioneel String | Filter resultate vanaf hierdie datum en tyd. Y-m-d H:i:s-formaat. |
| datetime_end | Opsioneel String | Filter resultate tot hierdie datum en tyd. Y-m-d H:i:s-formaat. |
| order_by | Opsioneel String | Watter veld om die resultate volgens te orden. Toegelate waardes is: splash_page_id, datetime, last_datetime, name. |
| order_type | Opsioneel String | Die ordening van die resultate. Toegestane waardes is: ASC vir opgaande ordening, en DESC vir afgaande ordening. |
| page | Opsioneel Heelgetal | Die bladsynommer waarvan jy resultate wil hê. Standaard op 1. |
| results_per_page | Opsioneel Heelgetal | Hoeveel resultate wil jy per bladsy hê. Toegestane waardes is: 10, 25, 50, 100, 250, 500, 1000. Standaard is 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 12:43:27",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/projects?page=1",
"last": "https://tistos.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/projects?page=1"
}
}
GET https://tistos.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 12:43:27",
}
}
POST https://tistos.com/api/projects
| Parameters | Besonderhede | Beskrywing |
|---|---|---|
| name | Verpligtend String | - |
| title | Opsioneel String | - |
| logo | Opsioneel Lêer | - |
| favicon | Opsioneel Lêer | - |
| opengraph | Opsioneel Lêer | - |
| description | Opsioneel String | - |
| secondary_button_name | Opsioneel String | - |
| secondary_button_url | Opsioneel String | - |
| custom_css | Opsioneel String | - |
| custom_js | Opsioneel String | - |
| ads_header | Opsioneel String | - |
| ads_footer | Opsioneel String | - |
| link_unlock_seconds | Opsioneel Heelgetal | - |
| auto_redirect | Opsioneel Booleaans | - |
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/splash-pages/{splash_page_id}
| Parameters | Besonderhede | Beskrywing |
|---|---|---|
| name | Opsioneel String | - |
| title | Opsioneel String | - |
| logo | Opsioneel Lêer | - |
| favicon | Opsioneel Lêer | - |
| opengraph | Opsioneel Lêer | - |
| description | Opsioneel String | - |
| secondary_button_name | Opsioneel String | - |
| secondary_button_url | Opsioneel String | - |
| custom_css | Opsioneel String | - |
| custom_js | Opsioneel String | - |
| ads_header | Opsioneel String | - |
| ads_footer | Opsioneel String | - |
| link_unlock_seconds | Opsioneel Heelgetal | - |
| auto_redirect | Opsioneel Booleaans | - |
curl --request POST \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \